<!--EDIT PASSWORD FORM-->
<form name="vm.passForm" novalidate ng-submit="vm.changePassword(vm.passForm.$valid, vm.pass)">
    <!--OLD PASSWORD-->
    <div class="form-group">
        <label>Old Password</label>
        <input type="password" name="oldPassword" id="oldPassword"
               minlength="6" required
               ng-model="vm.pass.oldPassword" class="form-control" placeholder="Enter Old Password">
        <ng-messages ng-if="vm.passSubmitted" for="vm.passForm.oldPassword.$error" role="alert">
            <!--<ng-message ng-if="vm.passSubmitted" when="verifyPassword !== admin.password"></ng-message>-->
            <ng-messages-include src="error-messages">...</ng-messages-include>
        </ng-messages>
        <p ng-if="!vm.oldPasswordCorrectStatus && vm.passSubmitted" class="help-block" style="color: red">Incorrect password</p>
    </div>

    <!--PASSWORD-->
    <div class="form-group">
        <label>New Password</label>
        <input type="password" name="password" id="newPassword"
               minlength="6" required
               ng-model="vm.pass.newPassword" class="form-control" placeholder="Enter New Password">
        <ng-messages ng-if="vm.passSubmitted" for="vm.passForm.password.$error" role="alert">
            <ng-messages-include src="error-messages">...</ng-messages-include>
        </ng-messages>
    </div>

    <!--REPEAT PASSWORD-->
    <div class="form-group">
        <label>Retype New Password</label>
        <input type="password" name="verifyPassword" ng-model="vm.pass.verifyPassword"
               compare-to="vm.pass.newPassword"
               id="verifyPassword" class="form-control" placeholder="Retype New Password"
               required>
        <ng-messages ng-if="vm.passSubmitted" for="vm.passForm.verifyPassword.$error" role="alert">
            <ng-messages-include src="error-messages">...</ng-messages-include>
            <div ng-message="compareTo" ng-if="vm.passSubmitted">Passwords are not compared!</div>
        </ng-messages>
    </div>

    <div class="form-group pull-right">
        <button class="btn btn-primary" type="submit">Change password</button>
    </div>
</form>
<!--/EDIT PASSWORD FORM-->

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
    <div ng-message="email">Email is not correct!</div>
    <div ng-message="password">Password required!</div>
</script>